Loading...
Searching...
No Matches
Opm::FluidStateNullFugacityModule< Scalar > Class Template Reference

Module for the modular fluid state which does not store the fugacities but throws std::logic_error instead. More...

`#include <FluidStateFugacityModules.hpp>`

## Public Member Functions

const Scalar & | fugacityCoefficient (unsigned, unsigned) const
| The fugacity coefficient of a component in a phase [].
const Scalar & | fugacity (unsigned, unsigned) const
| The fugacity of a component in a phase [Pa].
void | checkDefined () const
| Make sure that all attributes are defined.

## Detailed Description

template<class Scalar>
class Opm::FluidStateNullFugacityModule< Scalar >

Module for the modular fluid state which does not store the fugacities but throws std::logic_error instead.

## Member Function Documentation

## checkDefined()

template<class Scalar>

void Opm::FluidStateNullFugacityModule< Scalar >::checkDefined | ( |  | ) | const

inline

Make sure that all attributes are defined.

This method does not do anything if the program is not run under valgrind. If it is, then valgrind will print an error message if some attributes of the object have not been properly defined.

The documentation for this class was generated from the following file:

- opm/material/fluidstates/FluidStateFugacityModules.hpp